using PSO2SERVER.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PSO2SERVER.Protocol.Packets
{
    public class CharacterShipTransferCancelPacket : Packet
    {

        public enum MoveStatus : uint
        {
            Success,
            Failed,
        }

        public MoveStatus status {  get; set; }

        public CharacterShipTransferCancelPacket(MoveStatus status)
        {
            this.status = status;
        }

        #region implemented abstract members of Packet

        public override byte[] Build()
        {
            var pkt = new PacketWriter();
            pkt.Write((uint)status);
            return pkt.ToArray();
        }

        public override PacketHeader GetHeader()
        {
            return new PacketHeader(0x11, 0xBD, PacketFlags.None);
        }

        #endregion
    }
}